## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.fabric.inc/llms.txt)

Use this file to discover all available pages before exploring further.

Get address

### cURL

```bash
curl --request GET \
  --url https://api.fabric.inc/v3/carts/{cartId}/addresses/{addressId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/addresses/{addressId}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'GET',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/addresses/{addressId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes

- **200**
- **400**
- **404**

### Example Response

```json
{
  "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
  "name": {
    "first": "John",
    "middle": "S",
    "last": "Doe"
  },
  "email": "john@test.com",
  "phone": {
    "number": "123-456-7890",
    "type": "MOBILE"
  },
  "addressLine1": "123 Park Road",
  "addressLine2": "<string>",
  "addressLine3": "<string>",
  "addressLine4": "<string>",
  "city": "Santa Cruz",
  "region": "California",
  "country": "USA",
  "postalCode": "12345",
  "updatedAt": "2024-06-13T16:50:00.682Z",
  "createdAt": "2024-06-13T16:50:00.682Z"
}
```

### Error Responses

```json
{
  "type": "BAD_REQUEST",
  "message": "x-fabric-tenant-id is required"
}
```

```json
{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}
```

### Authorizations

- **Authorization**: string, header, required. The authorization token used to authenticate the request. You must pass the access token generated from the system app.

- **x-fabric-tenant-id**: string, required. A header used to identify the tenant making the request. You must include tenant id in the authentication header to access fabric’s endpoints.

### Path Parameters

- **cartId**: string, required. The 24-character system-generated Cart ID.
- **addressId**: string, required. The Address ID generated when an address was created using the Create address endpoint.

### Response

- **200** application/json OK: Address details with structure as shown in the example response.
